Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder.coverage
Class CloverBuildProcessor

    java.lang.Object
      com.atlassian.bamboo.builder.coverage.CloverBuildProcessor

All Implemented Interfaces:
  CustomBuildProcessor

    public class CloverBuildProcessor

extends Object
implements CustomBuildProcessor

Field Summary
`static String` | `CLOVER_BUILD_COVERAGE`
`static String` | `CLOVER_CLASSES`
`static String` | `CLOVER_CONDITIONALS`
`static String` | `CLOVER_COVERAGE_DELTA`
`static String` | `CLOVER_COVERED_CONDITIONALS`
`static String` | `CLOVER_COVERED_ELEMENTS`
`static String` | `CLOVER_COVERED_METHODS`
`static String` | `CLOVER_COVERED_STATEMENTS`
`static String` | `CLOVER_ELEMENTS`
`static String` | `CLOVER_FILES`
`static String` | `CLOVER_LOC`
`static String` | `CLOVER_METHODS`
`static String` | `CLOVER_NCLOC`
`static String` | `CLOVER_PACKAGES`
`static String` | `CLOVER_STATEMENTS`
`static String` | `CLOVER_XML_PATH_KEY`

Constructor Summary
`CloverBuildProcessor()`

Method Summary
`SessionFactory` | `getSessionFactory()`
`void` | `run(Build build, BuildResults buildResult)`
`void` | `setSessionFactory(SessionFactory sessionFactory)`
`ErrorCollection` | `validate(BuildConfiguration configuration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLOVER_XML_PATH_KEY

    public static final String CLOVER_XML_PATH_KEY

See Also:
  Constant Field Values

### CLOVER_BUILD_COVERAGE

    public static final String CLOVER_BUILD_COVERAGE

See Also:
  Constant Field Values

### CLOVER_COVERAGE_DELTA

    public static final String CLOVER_COVERAGE_DELTA

See Also:
  Constant Field Values

### CLOVER_ELEMENTS

    public static final String CLOVER_ELEMENTS

See Also:
  Constant Field Values

### CLOVER_COVERED_ELEMENTS

    public static final String CLOVER_COVERED_ELEMENTS

See Also:
  Constant Field Values

### CLOVER_PACKAGES

    public static final String CLOVER_PACKAGES

See Also:
  Constant Field Values

### CLOVER_CONDITIONALS

    public static final String CLOVER_CONDITIONALS

See Also:
  Constant Field Values

### CLOVER_COVERED_CONDITIONALS

    public static final String CLOVER_COVERED_CONDITIONALS

See Also:
  Constant Field Values

### CLOVER_LOC

    public static final String CLOVER_LOC

See Also:
  Constant Field Values

### CLOVER_NCLOC

    public static final String CLOVER_NCLOC

See Also:
  Constant Field Values

### CLOVER_STATEMENTS

    public static final String CLOVER_STATEMENTS

See Also:
  Constant Field Values

### CLOVER_COVERED_STATEMENTS

    public static final String CLOVER_COVERED_STATEMENTS

See Also:
  Constant Field Values

### CLOVER_FILES

    public static final String CLOVER_FILES

See Also:
  Constant Field Values

### CLOVER_METHODS

    public static final String CLOVER_METHODS

See Also:
  Constant Field Values

### CLOVER_COVERED_METHODS

    public static final String CLOVER_COVERED_METHODS

See Also:
  Constant Field Values

### CLOVER_CLASSES

    public static final String CLOVER_CLASSES

See Also:
  Constant Field Values

Constructor Detail

### CloverBuildProcessor

    public CloverBuildProcessor()

Method Detail

### run

    public void run(Build build,
                    BuildResults buildResult)

  Specified by:
    `run` in interface `CustomBuildProcessor`

### validate

    public ErrorCollection validate(BuildConfiguration configuration)

  Specified by:
    `validate` in interface `CustomBuildProcessor`

### getSessionFactory

    public SessionFactory getSessionFactory()

### setSessionFactory

    public void setSessionFactory(SessionFactory sessionFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.